#this test is much more to test that **it's there** and answers attribute access
import autopath
from py.test import raises

from tool import extend

class A:
    a = 'titi'
    def tarte(self):
        return "tart"
class B:
    __metaclass__ = extend

    def to_rst(self):
        return "hello"

B.extend(A)

a = B()

def test_extendable():
    assert a.a == 'titi'
    assert a.tarte() == 'tart'
    assert a.to_rst() == "hello"


